<?php

/**
 * Touch Menu
 *
 * @version 2.0
 * @author Creative Pulse
 * @copyright Creative Pulse 2013-2014
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @link http://www.creativepulse.gr
 */


if (empty($widget->menu_items)) {
	// there are no menu items - silent abort
	return;
}

if ($widget->load_libraries(__FILE__)) {
	$document = JFactory::getDocument();

	if ($widget->load_css) {
		$document->addStyleSheet('modules/mod_touchmenu/tmpl/default.css');
	}

	echo
'<div class="menu-compact-panel">
	<div class="menu-compact-header">
		' . JFactory::getConfig()->get('sitename') . '
		<span class="menu-compact-close">' . JText::_('Close') . '</span>
	</div>
	<div class="menu-compact-body"></div>
</div>
';
}

$widget->view_id(true);

echo '
<div id="wdg-touchmenu-' . $widget->view_id() . '" class="wdg-touchmenu wdg-touchmenu-' . $widget->view_id() . '">
';

$idx = -1;
foreach ($widget->menu_items as $menu_item) {
	$idx++;
	echo '
	<div class="wdg-touchmenu-header wdg-touchmenu-' . $widget->view_id() . '-header-' . $idx . '">' . htmlspecialchars($menu_item->title) . '</div>
';
}

echo '
	<noscript>Error: JavaScript is not enabled in your browser - Touch Menu is unable to run properly</noscript>
</div>
';

$idx = -1;
foreach ($widget->menu_items as $menu_item) {
	$idx++;
	echo '
<div class="wdg-touchmenu-content wdg-touchmenu-' . $widget->view_id() . '-content-' . $idx . '" style="display:none">' . $menu_item->introtext . $menu_item->fulltext . '</div>
';
}

if ($widget->compact_article_id > 0) {
	echo '
<div class="wdg-touchmenu-' . $widget->view_id() . '-compact-content" style="display:none">' . $widget->compact_article_content . '</div>
';
}

echo '
<script type="text/javascript">
document.wdg_touchmenu_db.push({
	view_id: ' . $widget->view_id() . ',
	panel_align_normal: "' . $widget->json_esc($widget->panel_align_normal) . '",
	offset_x: ' . $widget->offset_x . ',
	offset_y: ' . $widget->offset_y . ',
	panel_align_compact: "' . $widget->json_esc($widget->panel_align_compact) . '",
	content_align: "' . $widget->json_esc($widget->content_align) . '",
	panel_timeout: ' . $widget->panel_timeout . ',
	ani_duration: ' . $widget->ani_duration . ',
	resize_event_name: "' . $widget->json_esc($widget->resize_event_name) . '",
	selector_compact_panel: "' . $widget->json_esc($widget->selector_compact_panel) . '",
	selector_compact_open: "' . $widget->json_esc($widget->selector_compact_open) . '",
	selector_compact_close: "' . $widget->json_esc($widget->selector_compact_close) . '",
	selector_main_wrapper: "' . $widget->json_esc($widget->selector_main_wrapper) . '",
	selector_compact_body: "' . $widget->json_esc($widget->selector_compact_body) . '",
	css_class_header_selected: "' . $widget->json_esc($widget->css_class_header_selected) . '",
	css_class_compact_fog: "' . $widget->json_esc($widget->css_class_compact_fog) . '",
	css_class_compact_section_header: "' . $widget->json_esc($widget->css_class_compact_section_header) . '",
	css_class_compact_section_content: "' . $widget->json_esc($widget->css_class_compact_section_content) . '"
});
</script>
';

?>